Skip to content

Stories Endpoints

Get stories and story viewers.

Authentication & errors

All endpoints require x-access-key header. See Authentication. Error responses: Response Codes.

Endpoints: /v2/story/by/id | /v2/story/by/url


GET /v2/story/by/id

Get story object by id. Returns a Story object.

Parameter Type Required Description
id string Yes Id
curl -H "x-access-key: YOUR_TOKEN" \
  "https://api.hikerapi.com/v2/story/by/id?id=3776832898280228145"
from hikerapi import Client

cl = Client(token="YOUR_TOKEN")
result = cl.story_by_id_v2(id="3776832898280228145")
import requests

response = requests.get(
    "https://api.hikerapi.com/v2/story/by/id",
    headers={"x-access-key": "YOUR_TOKEN"},
    params={"id": "3776832898280228145"},
)
print(response.json())
const response = await fetch(
  "https://api.hikerapi.com/v2/story/by/id?id=3776832898280228145",
  { headers: { "x-access-key": "YOUR_TOKEN" } }
);
const data = await response.json();

GET /v2/story/by/url

Get story object by id. Returns a Story object.

Parameter Type Required Description
url string Yes Url
curl -H "x-access-key: YOUR_TOKEN" \
  "https://api.hikerapi.com/v2/story/by/url?url=https://www.instagram.com/stories/natgeo/3776832898280228145/"
from hikerapi import Client

cl = Client(token="YOUR_TOKEN")
result = cl.story_by_url_v2(url="https://www.instagram.com/stories/natgeo/3776832898280228145/")
import requests

response = requests.get(
    "https://api.hikerapi.com/v2/story/by/url",
    headers={"x-access-key": "YOUR_TOKEN"},
    params={"url": "https://www.instagram.com/stories/natgeo/3776832898280228145/"},
)
print(response.json())
const response = await fetch(
  "https://api.hikerapi.com/v2/story/by/url?url=https://www.instagram.com/stories/natgeo/3776832898280228145/",
  { headers: { "x-access-key": "YOUR_TOKEN" } }
);
const data = await response.json();

Ready to integrate? First 100 requests free — Get your API key →